# Copyright 2022-2024 ETSI TeraFlowSDN - TFS OSG (https://tfs.etsi.org/)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

apiVersion: apps/v1
kind: Deployment
metadata:
  name: vnt-managerservice
spec:
  selector:
    matchLabels:
      app: vnt-managerservice
  replicas: 1
  template:
    metadata:
      annotations:
        config.linkerd.io/skip-outbound-ports: "8765"
        config.linkerd.io/skip-inbound-ports: "8765"
      labels:
        app: vnt-managerservice
    spec:
      terminationGracePeriodSeconds: 5
      containers:
        - name: server
          image: labs.etsi.org:5050/tfs/controller/vnt_manager:latest
          imagePullPolicy: Always
          ports:
            - containerPort: 10070
            - containerPort: 9192
          env:
            - name: LOG_LEVEL
              value: "INFO"
          readinessProbe:
            exec:
              command: ["/bin/grpc_health_probe", "-addr=:10070"]
          livenessProbe:
            exec:
              command: ["/bin/grpc_health_probe", "-addr=:10070"]
          resources:
            requests:
              cpu: 200m
              memory: 128Mi
            limits:
              cpu: 1000m
              memory: 1024Mi
---
apiVersion: v1
kind: Service
metadata:
  name: vnt-managerservice
  labels:
    app: vnt-managerservice
spec:
  type: ClusterIP
  selector:
    app: vnt-managerservice
  ports:
    - name: grpc
      port: 10070
      targetPort: 10070
    - name: metrics
      port: 9192
      targetPort: 9192
